#!/usr/bin/python
#Copyright Bob Blair, 2010-2012
#Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, distribute with modifications, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
#The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
#
#THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
#Except as contained in this notice, the name(s) of the above copyright holders shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization.
#

import sys

# takes the name of a file on the commandline and compares each line to
# the list in spellaug.txt.  Writes any non-matching lines to stdout

olines = []
nlines = []
try:
 filename = "spellaug.txt"
 ofile = open(filename, "r")
 filename = sys.argv[1]
 nfile = open(filename, "r")
 olines = ofile.readlines()
 nlines = nfile.readlines()
 for w in nlines:
  if not w in olines:
    print w.strip()
except IOError as (errno, errstr):
 print 'Error {0} ({1}) trying to open "{2}"'.format(errno, errstr, filename)
ofile.close();
nfile.close();
